<?php
if( !class_exists('wordpressIDXSearchFormFieldsUtility')) {
	/**
	 * wordpressIDXSearchFormFieldsUtility Class
	 * 
	 * This singleton utility class is used to search form fields.
	 */
	class wordpressIDXSearchFormFieldsUtility {
		
		private static $instance ;
		
		private function __construct(){
		}

		public static function getInstance(){
			if( !isset(self::$instance)){
				self::$instance = new wordpressIDXSearchFormFieldsUtility();
			}
			return self::$instance;
		}
		
		public function getFormData(){
            $authenticationToken=wordpressIDXAdmin::getInstance()->getAuthenticationToken();
            $wpidxUrl = WordpressIDXConstants::EXTERNAL_URL . '?method=handleRequest&viewType=json&requestType=search-form-lists&authenticationToken=' .  $authenticationToken ;
            $galleryFormData = WordpressIDXRequestor::remoteRequest($wpidxUrl);
            return $galleryFormData;
         }		
		

	} // class wordpressIDXFormFieldsUtility
}//end if( !class_exists('wordpressIDXFormFieldsUtility'))
?>
